{% extends 'base.jinja' %}

{% block title %} {{ course.titulo }} {% endblock %}

{% from 'components/menu.jinja' import menu_component %}

{% block menu %} 
  {{ menu_component('course')  }}
{% endblock %}

{% block content %} 
<section class="uk-section uk-section-large">
  <div class="uk-container uk-container-xlarge">
    <div class="uk-child-width-1-1@m uk-text-large" uk-grid>
      <div>
        <div class="uk-child-width-1-2@m" uk-grid>
          <div>
            <h3 class="uk-margin-medium-bottom uk-text-uppercase">
             {{ course.titulo }}
            </h3>
          </div>
          <div class="uk-text-right downloads">
            <a href="{{ course.codigo_fonte }}" class="uk-button uk-button-purple uk-icon">
              <i uk-icon="download"></i>
              <span>Código Fonte</span>
            </a>
            <a 
              href="{{ course.aula_download }}" 
              class="uk-button uk-button-rose uk-icon">
              <i uk-icon="download"></i>
              <span>Treinamento</span>
            </a>
          </div>
        </div>
        <div uk-grid class="uk-grid-match">
          <div class="uk-width-expand@m">
            <div class="uk-card uk-card-body uk-padding-remove">
            <div style="padding:56.25% 0 0 0;position:relative;">
              <iframe 
                src="https://player.vimeo.com/video/{{course.aula_id}}?title=0&byline=0&portrait=0"
                style="position:absolute;top:0;left:0;width:100%;height:100%;"
                frameborder="0" allow="autoplay;
                fullscreen" 
                allowfullscreen>
              </iframe>
            </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>

<section class="uk-section uk-section-large">
  <div class="uk-container uk-container-xlarge">
    <div class="uk-child-width-1-1@m" uk-grid>
      <div>
        <div id="disqus_thread"></div>
      </div>
    </div>
  </div>
</section>

{% endblock %}

{% block js %}
<script>
    <script src="https://player.vimeo.com/api/player.js"></script>

    (function() {
    var d = document, s = d.createElement('script');
    s.src = 'https://negros-dev.disqus.com/embed.js';
    s.setAttribute('data-timestamp', +new Date());
    (d.head || d.body).appendChild(s);
    })();
</script>
{% endblock js %}